/*
 *
 * Copyright(C) OASIS(R) 2009,2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 *   
 */
package org.oasisopen.sca.test;

import javax.xml.ws.WebServiceProvider;

import org.oasisopen.sca.annotation.*;
import org.oasisopen.sca.test.Service1;

/**
 * Java component implementation
 * 1 service with interface "Service1" indicated via a JAXWS @WebServiceProvider annotation, with its wsdlLocation property
 *   set to the "Service1" WSDL interface
 * 0 references
 *
 */
@WebServiceProvider(wsdlLocation="Service1.wsdl")
public class Service1JWSWebServiceProviderWSDLImpl implements Service1 {
	
	@Property(required=true)
	public String serviceName = "service1";
	
	public String operation1(String input) {
		return serviceName + " operation1 invoked";
	}

}
