/*
 *
 * Copyright(C) OASIS(R) 2009,2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 *   
 */
package org.oasisopen.sca.test;

import org.oasisopen.sca.annotation.*;
import org.oasisopen.sca.test.Service1;


/**
 * Java component implementation
 * 1 service with interface Service1, annotated with @PolicySets for policy set test:PolicySet3
 * 0 references
 *
 * @author MikeEdwards
 *
 */
@PolicySets(Service1ServicePolicySetsImpl.TEST_NS+"PolicySet3")
@Service(Service1.class)
public class Service1ServicePolicySetsImpl implements Service1 {
	
	public static final String TEST_NS = "{http://docs.oasis-open.org/ns/opencsa/scatests/200903}";
	
	@Property(required=true)
	public String serviceName = "service1";
	
	public String operation1(String input) {
		return serviceName + " operation1 invoked";
	}

}
